@echo off
echo.
echo    This batch file can be used to fix a problem that occurs on 
echo    certain machines, notably some Acer computers.  The problem is
echo    associated with some startup code that looks for the presence of 
echo    a Notebook Gameport Adaptor (tm).  The effects of this batch file
echo    can be undone by running it with a U option, i.e.  "FIXJOY U".
echo    Even if you don't have any joystick problems, running FIXJOY.BAT 
echo    is safe to do UNLESS you have a Notebook Gameport Adaptor installed, 
echo    in which case it's presence would then not be detected by the 
echo    game.
echo.

IF "%1"=="U" goto UNDO
IF "%1"=="u" goto UNDO

echo    Installing joystick fix.  
rem             Use AOE.COM that installs joystick fix.
copy aoe_acer.com aoe.com
goto DONE


:UNDO
echo    De-installing joystick fix.
rem                     Use original AOE.COM.
copy aoe_orig.com aoe.com

:DONE
echo.


